double precision function fun(phi)

! ******************************************************************
! *                                                                *
! * integrand of the expression of the 1st order term in the       *
! * expansion of the eels integral for a homogeneous target.       *
! *                                                                *
! ******************************************************************

  implicit none

  double precision, intent(in) :: phi

  logical :: user, rational
  double precision :: acoef, bcoef, ccoef, cospsi, dlimf, elleps, ru
  double precision :: sinphi, sinpsi, tanpsi, um, wn

  common / param / acoef, bcoef, ccoef, elleps, cospsi, sinpsi, tanpsi,  &
                   ru, um, dlimf, wn, user, rational

  sinphi = dsin(phi)
  fun = dsqrt((1.0d0 - elleps + elleps * sinphi**2) *   &
              (1.0d0 - sinpsi * sinphi) *               &
              (1.0d0 + sinpsi * sinphi))
!  optimized but untested version
!  sinphi2 = dsin(phi)**2
!  fun = dsqrt((1.0d0 + elleps*(sinphi2 - 1.0d0)) * (1.0d0 - sinpsi**2 * sinphi2))
  return
end function fun
